Subject: bug#36864: hitting r deletes attachment rather than replying

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 25 Aug 2019 07:58:48 +0200

Par Kurlberg <[email-masked]> writes:

> I have the habit of quickly hitting return right after hitting r (in
> order to make a blank line at the top of the reply message).  The
> minibuffer, after hitting r, contains a string with the current
> directory in order to start a prompt for the file name to save the
> attachment in.  If you hit return then, the attachment is gone and
> what's worse: there is no file in the selected directory - i.e., the
> attachment does not seem to be saved at all.  (I might be looking in the
> wrong place but it's not clear at all if/where the attachment is indeed
> saved.)

Ah, yes the command should check whether the file exists before removing
the MIME part and substituting with nothing.

This has now been fixed on the trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no